View Issue Details

IDProjectCategoryView StatusLast Update
0003275GNUnetstatistics servicepublic2014-04-08 16:41
ReporterandreasAssigned ToSree Harsha Totakura 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Platformx86_64OSGNU/LinuxOS VersionGuix HEAD
Product Version0.10.0 
Target Version0.10.1Fixed in Version0.10.1 
Summary0003275: test_gnunet_statistics.py fails
Description"make check" yields

...
PASS: test_statistics_api_watch_zero_value
Preparing: Starting service...
Traceback (most recent call last):
  File "./test_gnunet_statistics.py", line 80, in <module>
    t = r_arm (['-s'], want_stdo = False)
  File "./test_gnunet_statistics.py", line 54, in r_arm
    rc, stdo, stde = sub_run (run_arm + extra_args, **kw)
  File "./test_gnunet_statistics.py", line 41, in sub_run
    p = subprocess.Popen (args, stdout = stdo, stderr = stde)
  File "/nix/store/dh17jnjjqz62nigdg9g7mzh5l19kymj5-python-2.7.6/lib/python2.7/subprocess.py", line 709, in __init__
    errread, errwrite)
  File "/nix/store/dh17jnjjqz62nigdg9g7mzh5l19kymj5-python-2.7.6/lib/python2.7/subprocess.py", line 1326, in _execute_child
    raise child_exception
OSError: [Errno 2] No such file or directory
FAIL: test_gnunet_statistics.py
Steps To ReproduceI am trying to compile gnunet-0.10.0 on a Guix system with the following dependencies installed:

gcc-4.8.2
glibc-2.18
binutils-2.23.2

python-2.7.6 or python-3.3.3

zlib-1.2.7
sqlite-3.7.15.2
python-wrapper-3.3.3
pulseaudio-4.0
pkg-config-0.27.1
openssl-1.0.1c
libunistring-0.9.3
libtool-2.4.2
libmicrohttpd-0.9.32
libidn-1.28
libgcrypt-1.6.0
libextractor-1.3
gnutls-3.2.4
glpk-4.52.1
curl-7.28.1

./configure --prefix=/tmp/gnunet
make install
export GNUNET_PREFIX=/tmp/gnunet
make check
Additional InformationThe value of args in line 41 of test_gnunet_statistics.py is:
   ['gnunet-arm', '-c', 'test_statistics_api_data.conf', '-s']

gnunet-arm is installed in /tmp/gnunet/bin and executable.

test_statistics_api_data.conf is available in the src/statistics subdirectory of the source=build directory.
TagsNo tags attached.

Activities

Christian Grothoff

2014-01-18 15:51

manager   ~0008000

Is $GNUNET_PREFIX/bin in $PATH?

Please try adding

export PATH=$GNUNET_PREFIX/bin:$PATH

before 'make check'.

andreas

2014-01-20 12:31

reporter   ~0008007

Sorry, I do this in my guix recipe, but forgot to do it by hand. Would it not make sense in "make check" to take GNUNET_PREFIX from the installation prefix (so far, I also have to set it by hand) and to add GNUNET_PREFIX/bin to the path?

Christian Grothoff

2014-01-20 12:37

manager   ~0008008

In principle yes, but I'm not sure how to best teach autotools to expand the PATH like that while running 'make check' (and modifying just the shell scripts won't do, as some of the test binaries also expect this).

andreas

2014-01-23 20:29

reporter   ~0008029

The following should work with automake 1.12.6:

Add a line
   TESTS_ENVIRONMENT = export GNUNET_PREFIX=@prefix@;export PATH=@prefix@/bin:$$PATH;
to the Makefile.am in the test directory.

According to the automake manual at
   https://www.gnu.org/software/automake/manual/automake.html#index-AM_005fTESTS_005fENVIRONMENT
one should also be able to use AM_TESTS_ENVIRONMENT instead, but it was actually not used in the generated Makefile.

Sree Harsha Totakura

2014-01-24 12:06

developer   ~0008030

I just read from that link that AM_TESTS_ENVIRONMENT cannot be used for serial test harness which is what we seem to be using right now.

And here is what confuses me: I am having automake-1.14 installed on my system which runs the parallel test harness by default and I found no references to make the serial harness run by default; yet we seem to run the serial harness...

Sree Harsha Totakura

2014-01-24 18:46

developer   ~0008031

fixed in svn #32027.

Issue History

Date Modified Username Field Change
2014-01-18 13:26 andreas New Issue
2014-01-18 15:51 Christian Grothoff Note Added: 0008000
2014-01-18 15:51 Christian Grothoff Assigned To => Christian Grothoff
2014-01-18 15:51 Christian Grothoff Status new => feedback
2014-01-18 15:53 Christian Grothoff Category ARM service => statistics service
2014-01-20 12:31 andreas Note Added: 0008007
2014-01-20 12:31 andreas Status feedback => assigned
2014-01-20 12:37 Christian Grothoff Note Added: 0008008
2014-01-23 20:29 andreas Note Added: 0008029
2014-01-24 12:06 Sree Harsha Totakura Note Added: 0008030
2014-01-24 12:08 Sree Harsha Totakura Assigned To Christian Grothoff => Sree Harsha Totakura
2014-01-24 18:46 Sree Harsha Totakura Note Added: 0008031
2014-01-24 18:46 Sree Harsha Totakura Status assigned => resolved
2014-01-24 18:46 Sree Harsha Totakura Resolution open => fixed
2014-04-08 16:40 Christian Grothoff Fixed in Version => 0.10.1
2014-04-08 16:40 Christian Grothoff Target Version => 0.10.1
2014-04-08 16:41 Christian Grothoff Status resolved => closed